Game Develop Core: Events ( Classes defining the event system and some tools associated with events )

| Game Develop Core Core library for developing platforms and tools compatible with Game Develop.

- Main Page
- Modules
- Classes

All Classes Files Functions Variables Typedefs Enumerations Macros Groups Pages
Classes | Functions
Events ( Classes defining the event system and some tools associated with events )

## Classes

class | gd::AutomatismMetadata
| Contains user-friendly information about an automatism type. More...
class | gd::BaseEvent
| Base class defining an event. More...
class | gd::Expression
| Class representing an expression used as a parameter of a gd::Instruction. This class is nothing more than a wrapper around a std::string. More...
class | gd::ExpressionMetadata
| Contains user-friendly infos about expressions and members needed to setup an expression. More...
class | gd::Instruction
| An instruction is a member of an event: It can be a condition or an action. More...
class | gd::ParameterMetadata
| Contains user-friendly info about a parameter, and information about what a parameter need. More...
class | gd::InstructionMetadata
| Contains user-friendly infos about actions/conditions, and members needed to setup an instruction. More...
class | gd::ObjectMetadata
| Contains user-friendly information about an object type. More...

## Functions

BaseEventSPtr GD_CORE_API | gd::CloneRememberingOriginalEvent (gd::BaseEventSPtr event)
std::vector< gd::BaseEventSPtr > GD_CORE_API | gd::CloneVectorOfEvents (const std::vector< gd::BaseEventSPtr > &events)

## Detailed Description

Classes defining the event system and some tools associated with events

## Function Documentation

BaseEventSPtr GD_CORE_API gd::CloneRememberingOriginalEvent | ( | gd::BaseEventSPtr | event) |  |

Clone an event and insert a reference to the original event into the newly created event. Used for profiling events for example.

See Also
  BaseEvent

std::vector< gd::BaseEventSPtr > GD_CORE_API gd::CloneVectorOfEvents | ( | const std::vector< gd::BaseEventSPtr > & | events) |  |

Helper function for copying std::vector of shared_ptr of events

See Also
  BaseEvent